Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.testing.jacoco.tasks
[Groovy] Class JacocoMerge

    java.lang.Object
      org.gradle.api.internal.AbstractTask
          org.gradle.api.DefaultTask
              org.gradle.testing.jacoco.tasks.JacocoBase
                  org.gradle.testing.jacoco.tasks.JacocoMerge

    @Incubating
    class JacocoMerge
    extends JacocoBase

Task to merge multiple execution data files into one.

Property Summary
`File` | `destinationFile` File to write merged execution data to.
`FileCollection` | `executionData` Collection of execution data files to merge.

Method Summary
`void` | `executionData(Object... files)` Adds execution data files to be merged.
`void` | `executionData(Task... tasks)` Adds execution data generated by a task to the list of those to merge.
`void` | `executionData(TaskCollection tasks)` Adds execution data generated by the given tasks to the list of those merged.
`void` | `merge()`

Property Detail

### destinationFile

    @OutputFile
    File destinationFile

  File to write merged execution data to.

### executionData

    @InputFiles
    FileCollection executionData

  Collection of execution data files to merge.

Method Detail

### executionData

    void executionData(Object... files)

  Adds execution data files to be merged.
  Parameters:
    `files` - one or more files to merge

### executionData

    void executionData(Task... tasks)

  Adds execution data generated by a task to the list of those to merge. Only tasks with a JacocoTaskExtension will be included; all others will be ignored.
  Parameters:
    `tasks` - one or more tasks to merge

### executionData

    void executionData(TaskCollection tasks)

  Adds execution data generated by the given tasks to the list of those merged. Only tasks with a JacocoTaskExtension will be included; all others will be ignored.
  Parameters:
    `tasks` - one or more tasks to merge

### merge

    @TaskAction
    void merge()

Gradle API 1.10